<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Lista składowych</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_data_selection.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">QCPDataSelection Lista składowych</div></div>
</div><!--header-->
<div class="contents">

<p>To jest kompletna lista składowych dla <a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a>, uwzględniająca wszystkie dziedziczone składowe.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a46740c5aa7b80ae9b2abf6985d61b74f">addDataRange</a>(const QCPDataRange &amp;dataRange, bool simplify=true)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a385dd665e6690d39afb8bbd727b1e00b">clear</a>()</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#ab1ad3d5bbb55749c3f7ab1e45429c932">contains</a>(const QCPDataSelection &amp;other) const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#ac9e74dd294778aa799216c3435c9c4f0">dataPointCount</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a6956acf6a9a49a353b4f9b58608978ad">dataRange</a>(int index=0) const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#abd8869ccb231ab991e8576de931f647d">dataRangeCount</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#ac3b1c5e7713d380cd9e447f4556b94da">dataRanges</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a17b84d852911531d229f4a76aa239a75">enforceType</a>(QCP::SelectionType type)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#af5267ced53687561367105ee77b874ab">intersection</a>(const QCPDataRange &amp;other) const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#af296ec5a948656c1d1ecb7b2970d2a24">intersection</a>(const QCPDataSelection &amp;other) const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#ae8097f4e4ffee7b1b5df27c93eb365db">inverse</a>(const QCPDataRange &amp;outerRange) const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a7f7526b475998dc0c3d6c376b24736c9">isEmpty</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a6f171526f5441482568ff5e22e6af2c6">lessThanDataRangeBegin</a>(const QCPDataRange &amp;a, const QCPDataRange &amp;b)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">private</span><span class="mlabel">static</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#aa1070e7c700f15d9018fad78b4732004">mDataRanges</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a8324733cc88660ee4792ee60d6a4520c">operator!=</a>(const QCPDataSelection &amp;other) const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a49c0217af248959d59abfdd29401b678">operator+</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a5feed9419bd3df5cb4d4a761580545cc">operator+</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#aa574f51a74d6998e9be95e252e6be287">operator+</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a0822e3133b80b5dedfc8050a19c1e0c5">operator+</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a4584d4b0ea5c4f095bd7b70f88eb5d9d">operator+=</a>(const QCPDataSelection &amp;other)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a17058640d4e6f49984a0e7e42043df1b">operator+=</a>(const QCPDataRange &amp;other)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a41147ef7d6303c746e398278b7b624d1">operator-</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a726652cb9ed840e3025435cc2c266468">operator-</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a32c5784ac70946f09a09b2dd19816b78">operator-</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#ad62dd67b505c1fa9c02d1aafabcb9acf">operator-</a></td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">friend</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a66f9fab70b026baa64bf8e52fe5de07e">operator-=</a>(const QCPDataSelection &amp;other)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a8d18b20d20dde737eefc10967e31cf73">operator-=</a>(const QCPDataRange &amp;other)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#aed65b8988afe6b03adeadf5edf663670">operator&lt;&lt;</a>(QDebug d, const QCPDataSelection &amp;selection)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">related</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a664fa566569b17148abafd6b1dbbf347">operator==</a>(const QCPDataSelection &amp;other) const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a0e0b7faaec7df1a7c77dd6f4883cdf0d">QCPDataSelection</a>()</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a738dfb4f5718c5df5ed35ea33ac37818">QCPDataSelection</a>(const QCPDataRange &amp;range)</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"><span class="mlabel">explicit</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a4a2fbad1a6e4d1dd26fdfdf88956f2a4">simplify</a>()</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="class_q_c_p_data_selection.html#a890f9291e0b7f065747040de5d68ff7d">span</a>() const</td><td class="entry"><a class="el" href="class_q_c_p_data_selection.html">QCPDataSelection</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
